Loading...
Searching...
No Matches
uhd::features::spi_periph_config_t Struct Reference

`#include <uhd/features/spi_getter_iface.hpp>`

## Public Attributes

uint8_t | periph_cs
| Indicates which GPIO line to use for the CS signal.
uint8_t | periph_sdi
| Indicates which GPIO line to use for the SDI signal.
uint8_t | periph_sdo
| Indicates which GPIO line to use for the SDO signal.
uint8_t | periph_clk
| Indicates which GPIO line to use for the SCLK signal.

## Detailed Description

The SPI peripheral configuration struct: Used to configure the GPIO lines for SPI transactions

## Member Data Documentation

## periph_clk

uint8_t uhd::features::spi_periph_config_t::periph_clk

Indicates which GPIO line to use for the SCLK signal.

## periph_cs

uint8_t uhd::features::spi_periph_config_t::periph_cs

Indicates which GPIO line to use for the CS signal.

## periph_sdi

uint8_t uhd::features::spi_periph_config_t::periph_sdi

Indicates which GPIO line to use for the SDI signal.

## periph_sdo

uint8_t uhd::features::spi_periph_config_t::periph_sdo

Indicates which GPIO line to use for the SDO signal.

The documentation for this struct was generated from the following file:

- spi_getter_iface.hpp